package pipeline.vertex;

import javax.vecmath.Color3f;
import javax.vecmath.Vector2f;
import javax.vecmath.Vector3f;

import pipeline.PointLight;
import pipeline.Pipeline;
import pipeline.misc.Vertex;

/**
 * This triangle processor smoothly interpolates the color across the face of
 * the triangle. This is better than flat shading, but still not as nice as
 * fragment (aka phong) shading.
 * 
 * @author ags
 */
public class SmoothShadedVP extends ShadedVP {

	/**
	 * @see VertexProcessor#nAttr()
	 */
	public int nAttr() {
		// TODO
		return 0;
	}

	public void vertex(Vector3f v, Color3f c, Vector3f n, Vector2f t, Vertex output) {
		// TODO
	}

	/**
	 * @see VertexProcessor#triangle(Vector3f[], Color3f[], Vector3f[],
	 *      Vector2f[], Vertex[])
	 */
	public void triangle(Vector3f[] vs, Color3f[] cs, Vector3f[] ns, Vector2f[] ts, Vertex[] outputs) {

		for (int k = 0; k < 3; k++) {
			vertex(vs[k], cs[k], ns[k], ts[k], outputs[k]);
		}
	}


}
